Bug 22433 - ошибка в конфиге для logrotate
: ошибка в конфиге для logrotate
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/libvirt)
: unstable
: all Linux
: P3 minor
Assigned To:
:
:
:
: 11619
:
  Show dependency tree
 
Reported: 2009-12-03 12:12 by
Modified: 2010-04-18 21:34 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2009-12-03 12:12:08
Кроном отсылается ежедневно буквально следующее:

From: root@cet.ais (Cron Daemon)
To: root@cet.ais
Subject: Cron <root@cet> run-parts /etc/cron.daily
Date: Thu,  3 Dec 2009 04:13:23 +0300 (MSK)

error: libvirtd:8 unknown option 'minsize' -- ignoring line
error: libvirtd:8 unexpected text
------- Comment #1 From 2009-12-03 14:11:03 -------
http://git.altlinux.org/gears/l/libvirt.git?p=libvirt.git;a=commitdiff;h=b03fe2d0aefb57a096a102bf23375f0a167ca189

А вот logrotate у нас древний (~2002 года) и не понимает minsize. Нужно либо
обновлять logrotate, либо отрывать minsize.
------- Comment #2 From 2009-12-03 14:20:53 -------
Вариант объезда до обновления logrotate - хотя бы заменить minsize 100k на
notifempty (тогда, если ВМ некоторое время не используется, старые логи не
будут затираться новыми пустыми).
------- Comment #3 From 2009-12-28 08:52:03 -------
Тоже наступил.

Можно заменить на
size=100k
------- Comment #4 From 2010-04-12 12:46:03 -------
libvirt-0.7.7-alt2 -> sisyphus:

* Mon Apr 12 2010 Anton Protopopov <aspsk@altlinux> 0.7.7-alt2

- Use 'notifemty' instead of 'minsize/size 100k' in logrotate config.
  This prevents logrotate from rotating empty logs (Closes: #22433).
------- Comment #5 From 2010-04-18 19:08:24 -------
В libvirt-0.8.0-alt1 ошибка всплыла вновь - теперь вместо одного файла в
/etc/logrotate.d стало три, и два из них не исправлены:

error: libvirtd.lxc:8 unknown option 'minsize' -- ignoring line
error: libvirtd.lxc:8 unexpected text
error: libvirtd.qemu:8 unknown option 'minsize' -- ignoring line
error: libvirtd.qemu:8 unexpected text
------- Comment #6 From 2010-04-18 21:34:40 -------
libvirt-0.8.0-alt2 -> sisyphus:

* Sun Apr 18 2010 Anton Protopopov <aspsk@altlinux> 0.8.0-alt2

- Close a reopened bug (ALT #22433).